Get a settlement batch by date
curl --request GET \
--url https://staging-idaas.yourflexpay.com/api/v1/settlement/date/{date} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging-idaas.yourflexpay.com/api/v1/settlement/date/{date}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging-idaas.yourflexpay.com/api/v1/settlement/date/{date}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlementDate": "2025-03-03",
"currency": "NGN",
"totalCredited": 250000,
"totalDebited": 250000,
"transactionCount": 123,
"applicationCount": 123,
"status": "PENDING",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationName": "WalletApp",
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "NGN",
"totalCredited": 150000,
"totalDebited": 100000,
"netAmount": 50000,
"openingBalance": 123,
"closingBalance": 123,
"transactionCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlementDate": "2025-03-03",
"currency": "NGN",
"totalCredited": 250000,
"totalDebited": 250000,
"transactionCount": 123,
"applicationCount": 123,
"status": "PENDING",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"entries": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationName": "WalletApp",
"walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "NGN",
"totalCredited": 150000,
"totalDebited": 100000,
"netAmount": 50000,
"openingBalance": 123,
"closingBalance": 123,
"transactionCount": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Settlement
Get a settlement batch by date
Returns the settlement record for a specific calendar date (ISO-8601 format: YYYY-MM-DD).
GET
/
v1
/
settlement
/
date
/
{date}
Get a settlement batch by date
Authorizations
Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
Path Parameters
Settlement date in ISO-8601 format (e.g. 2025-03-03)
⌘I